%global uname   CodeMirror
%global stapadj stapler-adjunct-codemirror

Name:           js-CodeMirror
Version:        4.0.3
Release:        4%{?dist}
Summary:        In-browser code editor

License:        MIT
URL:            http://codemirror.net
Source0:        https://github.com/marijnh/%{uname}/archive/%{version}.tar.gz
# POM file for stapler-adjunct-codemirror 1.2
Source1:        https://raw.githubusercontent.com/stapler/stapler-adjunct-codemirror/5775fd35cb43d61798c77e30205589a366956458/pom.xml

BuildRequires:  maven-local
BuildRequires:  mvn(javax.servlet:servlet-api)
BuildRequires:  mvn(org.kohsuke.stapler:stapler)

BuildRequires:  web-assets-devel
Requires:       web-assets-filesystem

BuildArch:      noarch

%description
CodeMirror is a versatile text editor implemented in JavaScript for the
browser.  It is specialized for editing code, and comes with a number of
language modes and addons that implement more advanced editing
functionality.

A rich programming API and a CSS theming system are available for
customizing CodeMirror to fit your application, and extending it with
new functionality.

%package -n stapler-adjunct-codemirror
Summary:        Stapler CodeMirror Adjunct

%description -n stapler-adjunct-codemirror
This package contains CodeMirror library in form of adjunct for
Stapler Web Framework.

%prep
%setup -q -n %{uname}-%{version}


cmdest="src/main/resources/org/kohsuke/stapler/codemirror"
mkdir -p %{stapadj}/${cmdest}
cp -r lib/ mode/ theme/ %{stapadj}/${cmdest}
touch %{stapadj}/${cmdest}/theme/default.css
pushd %{stapadj}

%mvn_file : %{stapadj}/%{stapadj}

# this special file header is needed by stapler
for modejs in ${cmdest}/mode/*/*.js
do
    sed -i '1 i\\/\/ @include org.kohsuke.stapler.codemirror.lib.codemirror' ${modejs}
done
popd

cp %{SOURCE1} %{stapadj}/pom.xml

%build
# nothing to do for js library

pushd %{stapadj}
%mvn_build
popd

%install
mkdir -p %{buildroot}%{_jsdir}/%{name}
cp -pr addon/ keymap/ lib/ mode/ theme/ %{buildroot}%{_jsdir}/%{name}

pushd %{stapadj}
%mvn_install
popd

%files
%{_jsdir}/%{name}
%doc LICENSE
%files -n %{stapadj} -f %{stapadj}/.mfiles
%doc LICENSE

%changelog
* Tue Oct 14 2014 Michal Srb <msrb@redhat.com> - 4.0.3-4
- Add missing file (Resolves: rhbz#1147894)

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Apr 02 2014 Michal Srb <msrb@redhat.com> - 4.0.3-2
- Install JAR file into stapler-adjunct-codemirror/ subdir

* Wed Mar 26 2014 Michal Srb <msrb@redhat.com> - 4.0.3-1
- Initial packaging

